Package com.xebialabs.xlrelease.api.v1

## Interface FacetApi

- All Superinterfaces:
    `ApiService`

      @Path("/api/v1/facets/")
      @Produces("application/json")
      @Consumes("application/json")
      public interface FacetApi
      extends ApiService

- - ### Field Summary

    - ### Fields inherited from interface com.xebialabs.xlrelease.api.ApiService

      `DEFAULT_RESULTS_PER_PAGE, DEFAULT_RESULTS_PER_PAGE_STRING, DEPTH, ORDER_BY, PAGE, PAGE_IS_OFFSET, RESULTS_PER_PAGE, ROLE_IDS_DATA`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Facet` | `createFacet​(ConfigurationFacet configurationFacet)` |
    `void` | `deleteFacet​(java.lang.String facetId)` |
    `Facet` | `getFacet​(java.lang.String facetId)` |
    `java.util.List<Descriptor>` | `getFacetTypes​(java.lang.String baseType)` |
    `Facet` | `newFacet​(java.lang.String type)` |
    `java.util.List<Facet>` | `searchFacets​(FacetFilters facetFilters)` |
    `default java.lang.String` | `serviceName()` |
    `Facet` | `updateFacet​(java.lang.String facetId, ConfigurationFacet configurationFacet)` |

- - ### Method Detail

    - #### serviceName

          default java.lang.String serviceName()

      Specified by:
        `serviceName` in interface `ApiService`

    - #### getFacet

          @GET
          @Path("{facetId:.*Facet[^/-]*}")
          Facet getFacet​(@PathParam("facetId")
                         java.lang.String facetId)

    - #### createFacet

          @POST
          Facet createFacet​(ConfigurationFacet configurationFacet)

    - #### newFacet

          Facet newFacet​(java.lang.String type)

    - #### updateFacet

          @PUT
          @Path("{facetId:.*Facet[^/]*}")
          Facet updateFacet​(@PathParam("facetId")
                            java.lang.String facetId,
                            ConfigurationFacet configurationFacet)

    - #### deleteFacet

          @DELETE
          @Path("{facetId:.*Facet[^/]*}")
          void deleteFacet​(@PathParam("facetId")
                           java.lang.String facetId)

    - #### searchFacets

          @POST
          @Path("search")
          java.util.List<Facet> searchFacets​(FacetFilters facetFilters)

    - #### getFacetTypes

          @GET
          @Path("types")
          java.util.List<Descriptor> getFacetTypes​(@QueryParam("baseType")
                                                   java.lang.String baseType)